% clear_workspace() - clear current workspace by closing all
%                     windows (except main window) opened by
%                     'fmrlab'
%
% Usage: 
%   >> clear_workspace;
%
% See also: clear_fmri_global()
%
% --
% Copyright (C) 2002 Jeng-Ren Duann, Salk Institute, duann@salk.edu
%
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License as
% published by the Free Software Foundation; either version 2 of
% the License, or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


function clear_workspace

buttonname = questdlg(...
'Do you want to close all figures?',...
		      'Clear Workspace',...
		      'Yes','No','Yes');
if strcmp(buttonname, 'Yes'),
  b = findobj('name','FMRILAB v1.0');
  a = findobj('type','figure');
  for i=1:length(a),
	if a(i) ~= b,
	  close(a(i));
        end
  end
end
