function fmriglobal

% parameters in FMRI structure:
% GENERAL USE VARIABLES:
% 	FMRI.data	image body
%	FMRI.filename	image file name
%	FMRI.pathname	image path
%	FMRI.dime_x	image width (in pixels)
%	FMRI.dime_y	image height (in pixels)
%	FMRI.dime_z	image depth (in pixels)
%	FMRI.fov_x	field of view in x direction (in mm)
%	FMRI.fov_y	field of view in y direction (in mm)
%	FMRI.slicetk	slice thickness (in mm)
%	FMRI.dummy	dummy scans conducted in fMRI experiment
%	FMRI.timepoint	real time point acquired in fMRI experiment
%			total time point = dummy + timepoint
%	FMRI.tr		inter-scan interval = TR (in sec)
% 	FMRI.processed	recording the stage of image processing
%			it can be: 'raw', 'slice_timed', 'deskulled', 'icaed'
%
% ICA VARIABLE:
%	FMRI.pcano	dimensionality to be reduced to (default = 0, all)
%	FMRI.annealdeg	annleaing angle used in ICA training (default = 60 degree)
%	FMRI.extended	if extended ICA used (default = 0, no)
%	FMRI.icasphere	sphere matrix of ica result
%	FMRI.icaweight	weight matric of ica result
%	

global FMRI