% execute_ica() - graphic user interface (GUI) to laonch ICA
%                 process for fMRI data, all parameters can be
%                 assigned in a popup window.
% 
% Usage:
%   >> execute_ica;
%
% See also: set_fmri_global_ui()
%
% --
% Copyright (C) 2002 Jeng-Ren Duann, Salk Institute, duann@salk.edu
%
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License as
% published by the Free Software Foundation; either version 2 of
% the License, or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software

function execute_ica

global FMRI

FMRI.maxsteps = 512;
prompt = {'Pca Number:','Annealing Angle (in degree):',...
	  'Extended ICA (0/1):', 'Maximal Steps (512):'};
defs = {int2str(FMRI.pcano), int2str(FMRI.annealdeg), ...
	int2str(FMRI.extended), int2str(FMRI.maxsteps)};
a = inputdlg(prompt,'Condition for ICA Training',1,defs);
if isempty(a),
  errordlg('Cancelled by user ...!');
  return;
else
  FMRI.pcano = str2num(char(a(1)));
  FMRI.annealdeg = str2num(char(a(2)));
  FMRI.extended = str2num(char(a(3)));
  FMRI.maxsteps = str2num(char(a(4)));
end
show_parameters;

arg = ['[w,sph]=binica(FMRI.data'];
if FMRI.pcano ~= 0,
  arg = [arg ',' '''' 'pca' '''' ',' int2str(FMRI.pcano)];
end

if FMRI.annealdeg ~= 60,
  arg = [arg ',' '''' 'annealdeg' '''' ',' int2str(FMRI.annealdeg)];
end

if FMRI.extended == 1,
  arg = [arg ',' '''' 'extended' '''' ',1'];
end

if FMRI.maxsteps ~= 512,
  arg = [arg ',' '''maxsteps''' ',' int2str(FMRI.maxsteps)];
end

arg = [arg ');']
eval(arg);

pause

FMRI.icasphere = sph;
FMRI.icaweight = w;
FMRI.processed = [FMRI.processed ':ica_trained'];

show_parameters;




