% slice_timing_ui() - graphic user interface for slice_timing().
%
% Usage:
%   >> slice_timing_ui;
%
% See also: slice_timing()
%
% --
% Copyright (C) 2002 Jeng-Ren Duann, Salk Institute, duann@salk.edu
%
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License as
% published by the Free Software Foundation; either version 2 of
% the License, or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


function fig = slice_timing_ui()

load slice_timing_ui

h0 = figure('Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'CreateFcn',mat1, ...
	'FileName','/n/tesla-fe1/usr/export/berger/home/duann/matlab/fmri_toolbox/slice_timing_ui.m', ...
	'PaperPosition',[17.99999999999998 179.9999999999997 575.9999999999992 431.9999999999994], ...
	'PaperUnits','points', ...
	'Position',[454 688 304 83], ...
	'name','Slice Timing Window',...
	'numbertitle','off',...
	'ToolBar','none');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.701960784313725 0.701960784313725 0.701960784313725], ...
	'Callback',mat2, ...
	'FontSize',14, ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Max',4, ...
	'Min',1, ...
	'Position',[9.605684055118109 40.34387303149606 183.4685654527559 29.77762057086614], ...
	'String',mat3, ...
	'Style','popupmenu', ...
	'Tag','popup1', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Enable','off', ...
	'FontSize',14, ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[10.56625246062992 8.645115649606298 183.4685654527559 28.81705216535433], ...
	'Style','edit', ...
	'Tag','edit1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.701960784313725 0.701960784313725 0.701960784313725], ...
	'Callback','slice_timing_ui4', ...
	'FontSize',14, ...
	'ListboxTop',0, ...
	'Position',mat5, ...
	'String','OK', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback',mat6, ...
	'FontSize',14, ...
	'ListboxTop',0, ...
	'Position',[202.6799335629921 7.684547244094488 78.76660925196849 27.85648375984252], ...
	'String','Cancel', ...
	'Tag','Pushbutton2');
if nargout > 0, fig = h0; end
